POST openapi/moveBookmark
Authorization
Access to this endpoint is public.
Request Information
URI Parameters
None.
Body Parameters
Nse.ServiceBus.DataContracts.StudentBookmark| Name | Description | Type | Additional information |
|---|---|---|---|
| studentReferenceId | string |
None. |
|
| contractReferenceId | string |
None. |
|
| activityId | globally unique identifier |
None. |
|
| studentCourseId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"studentReferenceId": "sample string 1",
"contractReferenceId": "sample string 2",
"activityId": "758ed940-f87b-4e7c-bed7-680034504e33",
"studentCourseId": "02b5a388-9587-409b-aeae-a5d779f659c9"
}
Response Information
Resource Description
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.